package cn.com.qmth.examcloud.core.oe.admin.service;

import java.util.List;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamRecordDataEntity;
import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamRecordForMarkingEntity;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examrecord.ExamRecordDataBean;

/**
 *
 * @author  	chenken
 * @date    	2018年9月17日 下午3:57:58
 * @company 	QMTH
 * @description ExamRecordForMarkingService.java
 */
public interface ExamRecordForMarkingService {

	/**
	 * 获取 有效考试记录
	 */
	List<ExamRecordForMarkingEntity> queryValidExamRecordList(Long examId, Long courseId);

	/**
	 * 根据条件查询阅卷需要的信息
	 * @param id
	 * @param examId
	 * @param courseId
	 * @param batchNum
	 * @return
	 */
	List<ExamRecordForMarkingEntity> findExamRecordForMarkingInfo(Long id, Long examId, Long courseId,String batchNum);

	List<ExamRecordForMarkingEntity> queryValidExamRecordInfoByStuIds(Long examId, Long courseId,
			List<Long> examStudentIds,String batchNum);

	/**
     * 离线考试-保存阅卷相关数据-对内
     * @param examRecordData
     * @param fileName
     * @param fileUrl
     */
	void saveOffLineExamRecordForMarking(ExamRecordDataBean examRecordData, String fileName, String fileUrl);

	void saveOffLineExamRecordForMarking(ExamRecordDataBean examRecordData);

	/**
	 * 在线考试-保存阅卷相关数据-对内
	 * @param examRecordDataId
	 */
	void saveExamRecordForMarking(Long examRecordDataId,Double objectiveScore);

	/**
	 * 获取某个考生的有效考试记录
	 * @param examStudentId 考生id集合
	 * @return
	 */
	List<ExamRecordForMarkingEntity> queryValidExamRecordList(Long examStudentId);
}
