/*
 * Copyright (c) 2020 QMTH All Rights Reserved.
 * Created by Deason on 2020-08-12 15:31:51
 */

package cn.com.qmth.examcloud.core.oe.admin.service;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExportTaskEntity;
import cn.com.qmth.examcloud.core.oe.admin.dao.enums.ExportTaskStatus;
import cn.com.qmth.examcloud.core.oe.admin.dao.enums.ExportTaskType;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.exporttask.ExportTaskInfo;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.exporttask.ExportTaskListReq;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.exporttask.ExportTaskListResp;
import org.springframework.data.domain.Page;

/**
 * 导出任务相关接口
 */
public interface ExportTaskService {

    Long addExportTask(ExportTaskInfo info);

    void updateExportTaskStatus(Long taskId, ExportTaskStatus status, String statusMsg);

    void updateExportTaskStatus(Long taskId, ExportTaskStatus status, String statusMsg, String filePath);

    void deleteExportTaskById(Long taskId);

    boolean existUnFinishTask(ExportTaskType type, Long rootOrgId, Long examId);

    Page<ExportTaskListResp> getExportTaskList(ExportTaskListReq req,Long userId);

	ExportTaskEntity findExportTaskToDispose();

	void updateExportTaskStatus(Long taskId, ExportTaskStatus status);

	void startExportTask(Long taskId);

	void endExportTask(Long taskId);

}
