package cn.com.qmth.examcloud.core.oe.admin.service;

import java.io.File;
import java.util.List;

import cn.com.qmth.examcloud.core.oe.admin.service.bean.OfflineExamCourseInfo;


/**
 *
 * @author  	chenken
 * @date    	2018年9月5日 上午10:35:18
 * @company 	QMTH
 * @description 离线考试服务接口
 */
public interface OfflineExamService {

	/**
	 * 获取待考课程列表
	 * @param studentId
	 * @return
	 */
	List<OfflineExamCourseInfo> getOfflineCourse(Long studentId);

	/**
	 * 开始离线考试
	 * @param token
	 * @param examStudentId
	 * @param studentId
	 * @return
	 */
	void startOfflineExam(Long examStudentId);

	/**
	 * 上传作答
	 * @param examRecordDataId
	 * @param tempFile
	 * @param fileType
	 */
	void submitPaper(Long examRecordDataId, File tempFile,String fileType)  throws Exception;

	/**
	 * 上传作答
	 * @param examRecordDataId 考试记录id
	 * @param tempFiles 文件集合
	 * @param fileType 文件类型
	 */
	void batchSubmitPaper(Long examRecordDataId,List<File> tempFiles,String fileType)  throws Exception;

}
