/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-27 16:18:39.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.examaudit;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.core.oe.admin.dao.enums.SelectType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 监考已审查询条件类
 *
 * @author: QMTH
 * @since: 2018/8/17
 */
@ApiModel
public class ExamAuditQuery implements JsonSerializable {
    @ApiModelProperty("当前页数")
    private Integer pageNo;
    @ApiModelProperty("每页条数")
    private Integer pageSize;
    @ApiModelProperty("学习中心ID")
    private Long orgId;
    @ApiModelProperty("机构ID")
    private Long rootOrgId;
    @ApiModelProperty("考试ID")
    private Long examId;
    @ApiModelProperty("场次ID")
    private Long examStageId;
    @ApiModelProperty("学号")
    private String studentCode;
    @ApiModelProperty("学生姓名")
    private String studentName;
    @ApiModelProperty("身份证号")
    private String identityNumber;
    @ApiModelProperty("课程ID")
    private Long courseId;
    @ApiModelProperty("课程层次")
    private String courseLevel;
    @ApiModelProperty("考试记录ID")
    private Long examRecordDataId;
    @ApiModelProperty("审核状态")
    private String status;
    @ApiModelProperty("违纪类型")
    private String disciplineType;
    @ApiModelProperty("审核人")
    private String auditUserName;
    @ApiModelProperty("开考起始时间")
    private String startTime;
    @ApiModelProperty("开考截止时间")
    private String endTime;
    @ApiModelProperty("交卷起始时间")
    private String submitStartTime;
    @ApiModelProperty("交卷截止时间")
    private String submitEndTime;
    @ApiModelProperty("审核起始时间")
    private String auditStartTime;
    @ApiModelProperty("审核截止时间")
    private String auditEndTime;
    @ApiModelProperty("Ip")
    private String ip;

    /**
     * 查询或导出  select  export
     */
    private SelectType selectType;

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseLevel() {
        return courseLevel;
    }

    public void setCourseLevel(String courseLevel) {
        this.courseLevel = courseLevel;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public SelectType getSelectType() {
		return selectType;
	}

	public void setSelectType(SelectType selectType) {
		this.selectType = selectType;
	}

	public String getDisciplineType() {
		return disciplineType;
	}

	public void setDisciplineType(String disciplineType) {
		this.disciplineType = disciplineType;
	}

	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}

	public String getAuditUserName() {
		return auditUserName;
	}

	public void setAuditUserName(String auditUserName) {
		this.auditUserName = auditUserName;
	}

    public Long getExamStageId() {
        return examStageId;
    }

    public void setExamStageId(Long examStageId) {
        this.examStageId = examStageId;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getSubmitStartTime() {
        return submitStartTime;
    }

    public void setSubmitStartTime(String submitStartTime) {
        this.submitStartTime = submitStartTime;
    }

    public String getSubmitEndTime() {
        return submitEndTime;
    }

    public void setSubmitEndTime(String submitEndTime) {
        this.submitEndTime = submitEndTime;
    }

    public String getAuditStartTime() {
        return auditStartTime;
    }

    public void setAuditStartTime(String auditStartTime) {
        this.auditStartTime = auditStartTime;
    }

    public String getAuditEndTime() {
        return auditEndTime;
    }

    public void setAuditEndTime(String auditEndTime) {
        this.auditEndTime = auditEndTime;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }
}
