/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-24 11:22:55.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.examrecord;

import java.util.Date;
import java.util.List;

import cn.com.qmth.examcloud.api.commons.enums.ExamType;
import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.core.oe.admin.dao.enums.ExamRecordStatus;
import cn.com.qmth.examcloud.core.oe.admin.dao.enums.IsSuccess;
import cn.com.qmth.examcloud.support.excel.ExcelProperty;

/**
 * 考试记录
 *
 * @author: QMTH
 * @since: 2018/8/15
 */
public class ExamRecordInfo implements JsonSerializable {
    /**
	 *
	 */
	private static final long serialVersionUID = -735354536432038902L;
	/**
     * 考试记录ID
     */
    @ExcelProperty(name = "考试编码", width = 30, index = 14)
    private Long id;
    /**
     * 考试记录详细ID
     */
    private Long dataId;
    /**
     * 考试ID
     */
    private Long examId;
    /**
     * 考试类型
     */
    private String examType;
    
    private ExamType examTypeValue;
    /**
     * 考试批次
     */
    @ExcelProperty(name = "考试批次", width = 30, index = 13)
    private String examName;
    /**
     * 考生ID
     */
    private Long examStudentId;
    /**
     * 学生ID
     */
    private Long studentId;
    /**
     * 学号
     */
    @ExcelProperty(name = "学号", width = 30, index = 2)
    private String studentCode;
    /**
     * 学生姓名
     */
    @ExcelProperty(name = "姓名", width = 30, index = 1)
    private String studentName;
    /**
     * 准考证号
     */
    @ExcelProperty(name = "准考证号", width = 30, index = 21)
    private String studentNumber;
    /**
     * 身份证号
     */
    @ExcelProperty(name = "身份证号", width = 30, index = 12)
    private String identityNumber;
    /**
     * 课程ID
     */
    private Long courseId;
    /**
     * 课程Code
     */
    @ExcelProperty(name = "课程代码", width = 30, index = 11)
    private String courseCode;
    /**
     * 课程名称
     */
    @ExcelProperty(name = "课程名称", width = 30, index = 7)
    private String courseName;
    /**
     * 课程名称(课程代码)
     */
    @ExcelProperty(name = "课程名称(课程代码)", width = 30, index = 10)
    private String courseNameAndCode;
    /**
     * 课程层次
     */
    @ExcelProperty(name = "层次", width = 30, index = 4)
    private String courseLevel;
    /**
     * 年级
     */
    @ExcelProperty(name = "年级", width = 30, index = 5)
    private String grade;
    /**
     * 专业
     */
    @ExcelProperty(name = "专业", width = 30, index = 6)
    private String specialtyName;
    /**
     * 学习中心ID
     */
    private Long orgId;
    /**
     * 学习中心名称
     */
    @ExcelProperty(name = "学习中心", width = 30, index = 3)
    private String orgName;
    /**
     * 顶级机构ID
     */
    private Long rootOrgId;
    /**
     * 基础试卷ID
     */
    private String basePaperId;
    /**
     * 试卷结构 ID
     */
    private String paperStructId;
    /**
     * 考试开始时间
     */
    private Date startTime;
    /**
     * 考试进入时间
     */
    @ExcelProperty(name = "考试进入时间", width = 30, index = 8)
    private String paperStartTime;
    /**
     * 考试结束时间
     */
    private Date endTime;
    /**
     * 考试被清理时间
     */
    private Date cleanTime;
    /**
     * 是否异常数据
     */
    private Boolean isWarn;
    /**
     * 是否被审核过
     */
    private Boolean isAudit;
    /**
     * 是否违纪
     */
    @ExcelProperty(name = "是否违纪(终审)", width = 30, index = 26)
    private String isIllegality;
    
    private Boolean isIllegalityValue;
    /**
     * 考试记录状态(考试中,考试结束,考试过期,考试作废)
     */
    private String examRecordStatus;
    
    private ExamRecordStatus examRecordStatusValue;
    /**
     * 采集人
     */
    @ExcelProperty(name = "信息采集人", width = 30, index = 29)
    private String infoCollector;
    /**
     * 考试时长
     */
    private Long usedExamTime;
    /**
     * 每次考试持续时间
     */
    @ExcelProperty(name = "每次考试持续时间", width = 30, index = 16)
    private String examTime;
    /**
     * 第几次考试
     */
    @ExcelProperty(name = "考试次数", width = 30, index = 15)
    private Integer examOrder;
    /**
     * 是否为重考
     */
    private Boolean isReexamine;
    /**
     * 是否断点续考
     */
    private Boolean isContinued;
    /**
     * 断点续考次数
     */
    @ExcelProperty(name = "断点续考次数", width = 30, index = 20)
    private Integer continuedCount;
    /**
     * 抓拍比对成功次数
     */
    @ExcelProperty(name = "成功次数", width = 30, index = 18)
    private Integer faceSuccessCount;
    /**
     * 抓拍比对失败次数
     */
    private Integer faceFailedCount;
    /**
     * 抓拍存在陌生人的次数
     */
    private Integer faceStrangerCount;
    /**
     * 抓拍比对总次数
     */
    @ExcelProperty(name = "校验次数", width = 30, index = 17)
    private Integer faceTotalCount;
    /**
     * 抓拍比对成功比率
     */
    @ExcelProperty(name = "成功率", width = 30, index = 19)
    private Double faceSuccessPercent;
    /**
     * 活体检测结果
     */
    private String faceVerifyResult;
    
    private IsSuccess faceVerifyResultValue;
    /**
     * 人脸五官坐标比对值
     */
    private Double faceLandmarkVal;
    /**
     * 百度人脸活体检测通过率
     */
    private Double baiduFaceLivenessSuccessPercent;
    /**
     * 卷面总分
     */
    @ExcelProperty(name = "卷面总分", width = 30, index = 24)
    private String paperTotalScore;
    /**
     * 是否提交试卷
     */
    @ExcelProperty(name = "是否提交交卷", width = 30, index = 27)
    private String isSubmit;
    /**
     * 考试交卷时间
     */
    @ExcelProperty(name = "考试交卷时间", width = 30, index = 9)
    private String paperSubmitTime;
    /**
     * 客观题总分
     */
    @ExcelProperty(name = "客观题总分", width = 30, index = 22)
    private String objectiveTotalScore;
    /**
     * 主观题总分
     */
    @ExcelProperty(name = "主观题总分", width = 30, index = 23)
    private String subjectiveTotalScore;
    /**
     * 违纪标志
     */
    @ExcelProperty(name = "违纪标志", width = 30, index = 25)
    private String disciplineSign;
    /**
     * 学生电话
     */
    @ExcelProperty(name = "学生电话", width = 30, index = 30)
    private String phone;

    /**
     * 离线考试作答文件集合
     */
    private List<ExamRecordFileAnswerInfo> offlineFiles;

    /**
     * 虚拟摄像头名称
     */
    @ExcelProperty(name = "虚拟摄像头名称", width = 30, index = 31)
    private String virtualCameraNames;

    /**
     * Ip
     */
    @ExcelProperty(name = "Ip", width = 30, index = 32)
    private String ip;

    /**
     * Ip
     */
    @ExcelProperty(name = "审核人", width = 30, index = 33)
    private String auditUserName;

    private Boolean hasVirtual;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getDataId() {
        return dataId;
    }

    public void setDataId(Long dataId) {
        this.dataId = dataId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseLevel() {
        return courseLevel;
    }

    public void setCourseLevel(String courseLevel) {
        this.courseLevel = courseLevel;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public String getBasePaperId() {
        return basePaperId;
    }

    public void setBasePaperId(String basePaperId) {
        this.basePaperId = basePaperId;
    }

    public String getPaperStructId() {
        return paperStructId;
    }

    public void setPaperStructId(String paperStructId) {
        this.paperStructId = paperStructId;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Date getCleanTime() {
        return cleanTime;
    }

    public void setCleanTime(Date cleanTime) {
        this.cleanTime = cleanTime;
    }

    public String getExamRecordStatus() {
        return examRecordStatus;
    }

    public void setExamRecordStatus(String examRecordStatus) {
        this.examRecordStatus = examRecordStatus;
    }

    public String getInfoCollector() {
        return infoCollector;
    }

    public void setInfoCollector(String infoCollector) {
        this.infoCollector = infoCollector;
    }

    public Long getUsedExamTime() {
        return usedExamTime;
    }

    public void setUsedExamTime(Long usedExamTime) {
        this.usedExamTime = usedExamTime;
    }

    public Integer getExamOrder() {
        return examOrder;
    }

    public void setExamOrder(Integer examOrder) {
        this.examOrder = examOrder;
    }

    public Integer getContinuedCount() {
        return continuedCount != null ? continuedCount : 0;
    }

    public void setContinuedCount(Integer continuedCount) {
        this.continuedCount = continuedCount;
    }

    public Integer getFaceSuccessCount() {
        return faceSuccessCount != null ? faceSuccessCount : 0;
    }

    public void setFaceSuccessCount(Integer faceSuccessCount) {
        this.faceSuccessCount = faceSuccessCount;
    }

    public Integer getFaceFailedCount() {
        return faceFailedCount != null ? faceFailedCount : 0;
    }

    public void setFaceFailedCount(Integer faceFailedCount) {
        this.faceFailedCount = faceFailedCount;
    }

    public Integer getFaceStrangerCount() {
        return faceStrangerCount != null ? faceStrangerCount : 0;
    }

    public void setFaceStrangerCount(Integer faceStrangerCount) {
        this.faceStrangerCount = faceStrangerCount;
    }

    public Integer getFaceTotalCount() {
        return faceTotalCount != null ? faceTotalCount : 0;
    }

    public void setFaceTotalCount(Integer faceTotalCount) {
        this.faceTotalCount = faceTotalCount;
    }

    public Double getFaceSuccessPercent() {
        return faceSuccessPercent != null ? faceSuccessPercent : 0d;
    }

    public void setFaceSuccessPercent(Double faceSuccessPercent) {
        this.faceSuccessPercent = faceSuccessPercent;
    }

    public String getFaceVerifyResult() {
        return faceVerifyResult;
    }

    public void setFaceVerifyResult(String faceVerifyResult) {
        this.faceVerifyResult = faceVerifyResult;
    }

    public Double getFaceLandmarkVal() {
        return faceLandmarkVal != null ? faceLandmarkVal : 0d;
    }

    public void setFaceLandmarkVal(Double faceLandmarkVal) {
        this.faceLandmarkVal = faceLandmarkVal;
    }

    public String getIsIllegality() {
        return isIllegality;
    }

    public void setIsIllegality(String isIllegality) {
        this.isIllegality = isIllegality;
    }

    public String getPaperTotalScore() {
        return paperTotalScore;
    }

    public void setPaperTotalScore(String paperTotalScore) {
        this.paperTotalScore = paperTotalScore;
    }

    public String getIsSubmit() {
        return isSubmit;
    }

    public void setIsSubmit(String isSubmit) {
        this.isSubmit = isSubmit;
    }

    public String getPaperSubmitTime() {
        return paperSubmitTime;
    }

    public void setPaperSubmitTime(String paperSubmitTime) {
        this.paperSubmitTime = paperSubmitTime;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getStudentNumber() {
        return studentNumber;
    }

    public void setStudentNumber(String studentNumber) {
        this.studentNumber = studentNumber;
    }

    public String getCourseNameAndCode() {
        return courseNameAndCode;
    }

    public void setCourseNameAndCode(String courseNameAndCode) {
        this.courseNameAndCode = courseNameAndCode;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getSpecialtyName() {
        return specialtyName;
    }

    public void setSpecialtyName(String specialtyName) {
        this.specialtyName = specialtyName;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getObjectiveTotalScore() {
        return objectiveTotalScore;
    }

    public void setObjectiveTotalScore(String objectiveTotalScore) {
        this.objectiveTotalScore = objectiveTotalScore;
    }

    public String getSubjectiveTotalScore() {
        return subjectiveTotalScore;
    }

    public void setSubjectiveTotalScore(String subjectiveTotalScore) {
        this.subjectiveTotalScore = subjectiveTotalScore;
    }

    public String getDisciplineSign() {
        return disciplineSign;
    }

    public void setDisciplineSign(String disciplineSign) {
        this.disciplineSign = disciplineSign;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getExamTime() {
        return examTime;
    }

    public void setExamTime(String examTime) {
        this.examTime = examTime;
    }

    public String getPaperStartTime() {
        return paperStartTime;
    }

    public void setPaperStartTime(String paperStartTime) {
        this.paperStartTime = paperStartTime;
    }

	public Boolean getIsWarn() {
		return isWarn;
	}

	public void setIsWarn(Boolean isWarn) {
		this.isWarn = isWarn;
	}

	public Boolean getIsAudit() {
		return isAudit;
	}

	public void setIsAudit(Boolean isAudit) {
		this.isAudit = isAudit;
	}

	public Boolean getIsReexamine() {
		return isReexamine;
	}

	public void setIsReexamine(Boolean isReexamine) {
		this.isReexamine = isReexamine;
	}

	public Boolean getIsContinued() {
		return isContinued;
	}

	public void setIsContinued(Boolean isContinued) {
		this.isContinued = isContinued;
	}

	public Double getBaiduFaceLivenessSuccessPercent() {
		return baiduFaceLivenessSuccessPercent;
	}

	public void setBaiduFaceLivenessSuccessPercent(
			Double baiduFaceLivenessSuccessPercent) {
		this.baiduFaceLivenessSuccessPercent = baiduFaceLivenessSuccessPercent;
	}

    public List<ExamRecordFileAnswerInfo> getOfflineFiles() {
        return offlineFiles;
    }

    public void setOfflineFiles(List<ExamRecordFileAnswerInfo> offlineFiles) {
        this.offlineFiles = offlineFiles;
    }

    public String getVirtualCameraNames() {
        return virtualCameraNames;
    }


    public void setVirtualCameraNames(String virtualCameraNames) {
        this.virtualCameraNames = virtualCameraNames;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

	public ExamType getExamTypeValue() {
		return examTypeValue;
	}

	public void setExamTypeValue(ExamType examTypeValue) {
		this.examTypeValue = examTypeValue;
	}

	public Boolean getIsIllegalityValue() {
		return isIllegalityValue;
	}

	public void setIsIllegalityValue(Boolean isIllegalityValue) {
		this.isIllegalityValue = isIllegalityValue;
	}

	public ExamRecordStatus getExamRecordStatusValue() {
		return examRecordStatusValue;
	}

	public void setExamRecordStatusValue(ExamRecordStatus examRecordStatusValue) {
		this.examRecordStatusValue = examRecordStatusValue;
	}

	public IsSuccess getFaceVerifyResultValue() {
		return faceVerifyResultValue;
	}

	public void setFaceVerifyResultValue(IsSuccess faceVerifyResultValue) {
		this.faceVerifyResultValue = faceVerifyResultValue;
	}

    public String getAuditUserName() {
        return auditUserName;
    }

    public void setAuditUserName(String auditUserName) {
        this.auditUserName = auditUserName;
    }

    public Boolean getHasVirtual() {
        return hasVirtual;
    }

    public void setHasVirtual(Boolean hasVirtual) {
        this.hasVirtual = hasVirtual;
    }
}
