package cn.com.qmth.examcloud.core.oe.admin.service.bean.examscore;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 考试分数信息查询条件类
 */
@ApiModel
public class ExamScoreQuery implements JsonSerializable {

    private static final long serialVersionUID = 7583473311721120552L;

    private Long rootOrgId;

    @ApiModelProperty("当前页数")
    private Integer pageNo;

    @ApiModelProperty("每页条数")
    private Integer pageSize;

    @ApiModelProperty("学习中心ID")
    private Long orgId;

    @ApiModelProperty("考试ID")
    private Long examId;

    @ApiModelProperty("场次ID")
    private Long examStageId;

    @ApiModelProperty("学号")
    private String studentCode;

    @ApiModelProperty("学生姓名")
    private String studentName;

    @ApiModelProperty("身份证号")
    private String identityNumber;

    @ApiModelProperty("课程ID")
    private Long courseId;

    @ApiModelProperty("课程层次")
    private String courseLevel;

    @ApiModelProperty("是否完成考试")
    private Boolean finished;

    private Integer startLimit;

    private Integer endLimit;

    @ApiModelProperty("创建人ID")
    private Long creator;
    
    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCourseLevel() {
        return courseLevel;
    }

    public void setCourseLevel(String courseLevel) {
        this.courseLevel = courseLevel;
    }

    public Boolean getFinished() {
        return finished;
    }

    public void setFinished(Boolean finished) {
        this.finished = finished;
    }

    public Integer getStartLimit() {
        return startLimit;
    }

    public void setStartLimit(Integer startLimit) {
        this.startLimit = startLimit;
    }

    public Integer getEndLimit() {
        return endLimit;
    }

    public void setEndLimit(Integer endLimit) {
        this.endLimit = endLimit;
    }

    public Long getExamStageId() {
        return examStageId;
    }

    public void setExamStageId(Long examStageId) {
        this.examStageId = examStageId;
    }

	public Long getCreator() {
		return creator;
	}

	public void setCreator(Long creator) {
		this.creator = creator;
	}
    
    
}
