package cn.com.qmth.examcloud.core.oe.admin.service.impl;

import cn.com.qmth.examcloud.core.oe.admin.service.ExamBossService;
import cn.com.qmth.examcloud.support.examing.ExamBoss;
import cn.com.qmth.examcloud.support.redis.RedisKeyHelper;
import cn.com.qmth.examcloud.web.redis.RedisClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description 考试基础信息会话
 * @Author lideyin
 * @Date 2019/12/20 15:40
 * @Version 1.0
 */
@Service("examBossService")
public class ExamBossServiceImpl implements ExamBossService {

	@Autowired
	private RedisClient redisClient;

	@Override
	public void saveExamBoss(Long examStudentId, ExamBoss eb) {
		String key = RedisKeyHelper.getBuilder().examBossKey(examStudentId);
		redisClient.set(key, eb, 2592000);
	}

	@Override
	public ExamBoss getExamBoss(Long examStudentId) {
		String key = RedisKeyHelper.getBuilder().examBossKey(examStudentId);
		return redisClient.get(key, ExamBoss.class);
	}

	@Override
	public void deleteExamBoss(Long examStudentId) {
		String key = RedisKeyHelper.getBuilder().examBossKey(examStudentId);
		redisClient.delete(key);
	}
}
