package cn.com.qmth.examcloud.core.oe.admin.service.impl;

import cn.com.qmth.examcloud.commons.util.DateUtil;
import cn.com.qmth.examcloud.core.oe.admin.dao.ExamProcessRecordRepo;
import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamProcessRecordEntity;
import cn.com.qmth.examcloud.core.oe.admin.service.ExamProcessRecordService;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.ExamProcessRecordInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description 考试过程记录
 * @Author lideyin
 * @Date 2020/8/20 17:49
 * @Version 1.0
 */
@Service("examProcessRecordService")
public class ExamProcessRecordServiceImpl implements ExamProcessRecordService {
    @Autowired
    private ExamProcessRecordRepo examProcessRecordRepo;

    /**
     * 获取考试过程记录
     *
     * @param examRecordDataId
     * @return
     */
    @Override
    public List<ExamProcessRecordInfo> getExamProcessRecords(Long examRecordDataId) {
        List<ExamProcessRecordEntity> recordList =
                examProcessRecordRepo.findByExamRecordDataIdOrderByRecordTimeAsc(examRecordDataId);
        List<ExamProcessRecordInfo> resultList = new ArrayList<>();
        if (null != recordList && !recordList.isEmpty()) {
            for (ExamProcessRecordEntity record : recordList) {
                ExamProcessRecordInfo info = new ExamProcessRecordInfo();
                info.setId(record.getId());
                info.setExamRecordDataId(record.getExamRecordDataId());
                info.setProcessName(record.getProcessName());
                info.setRecordTime(DateUtil.format(record.getRecordTime(), DateUtil.DatePatterns.CHINA_DEFAULT));
                info.setSourceIp(record.getSourceIp());

                resultList.add(info);
            }
        }

        return resultList;
    }
}
