package cn.com.qmth.examcloud.core.oe.admin.service.impl;

import java.util.Date;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Example;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.oe.admin.dao.ExamScoreNoticeQueueRepo;
import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamScoreNoticeQueueEntity;
import cn.com.qmth.examcloud.core.oe.admin.service.ExamScoreNoticeQueueService;
import cn.com.qmth.examcloud.web.helpers.GlobalHelper;

/**
 * 
 * @author lideyin
 * @date 2019年3月11日 下午1:48:32
 * @description 考试成绩通知队列服务实现
 */
@Service("examScoreNoticeQueueService")
public class ExamScoreNoticeQueueServiceImpl implements ExamScoreNoticeQueueService {

	private static final Logger log = LoggerFactory.getLogger(ExamScoreNoticeQueueServiceImpl.class);
	@Autowired
	private ExamScoreNoticeQueueRepo examScoreNoticeQueueRepo;

	@Override
	public void addExamScoreNoticeQueue(Long rootOrgId) {
		log.debug("addExamScoreNoticeQueue.rootOrgId="+rootOrgId);
		ExamScoreNoticeQueueEntity originalNoticeQueueEntity =GlobalHelper.getEntity(examScoreNoticeQueueRepo,rootOrgId,ExamScoreNoticeQueueEntity.class);
		if(originalNoticeQueueEntity==null || originalNoticeQueueEntity.getRootOrgId()==null) {			
			originalNoticeQueueEntity = new ExamScoreNoticeQueueEntity();
			originalNoticeQueueEntity.setRootOrgId(rootOrgId);
			originalNoticeQueueEntity.setCreationTime(new Date());
		}else {
			return;
		}
		examScoreNoticeQueueRepo.save(originalNoticeQueueEntity);
	}
	
	@Override
	public boolean isExistExamScoreNoticeQueue(Long rootOrgId) {
		ExamScoreNoticeQueueEntity entity = new ExamScoreNoticeQueueEntity();
		entity.setRootOrgId(rootOrgId);
		Example<ExamScoreNoticeQueueEntity> example =Example.of(entity);
		return examScoreNoticeQueueRepo.exists(example);
	}
	
}
