package cn.com.qmth.examcloud.core.oe.admin.service.impl;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.oe.admin.dao.ExamScorePushQueueRepo;
import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamScorePushQueue;
import cn.com.qmth.examcloud.core.oe.admin.dao.enums.ExamScoreQueueStatus;
import cn.com.qmth.examcloud.core.oe.admin.service.ExamScorePushService;
import cn.com.qmth.examcloud.core.oe.admin.service.ExamScoreQueueService;
import cn.com.qmth.examcloud.core.oe.admin.service.GainBaseDataService;
import cn.com.qmth.examcloud.web.support.SpringContextHolder;


/**
 * 
 * @author  	chenken
 * @date    	2018年9月10日 上午9:26:24
 * @company 	QMTH
 * @description 分数推送队列接口实现
 */
@Service("examScoreQueueService")
public class ExamScoreQueueServiceImpl implements ExamScoreQueueService {

	@Autowired
	private ExamScorePushQueueRepo examScorePushQueueRepo;
	
	@Autowired
	private GainBaseDataService gainBaseDataService;
	
	@Override
	public void disposeScoreQueue(){
		List<ExamScorePushQueue> examScorePushQueues = examScorePushQueueRepo.findExamScorePushQueue();
		for(ExamScorePushQueue examScorePushQueue:examScorePushQueues){
			ExamScorePushService examScorePushService =  (ExamScorePushService) SpringContextHolder.getBean(examScorePushQueue.getServiceName());
			if(examScorePushService != null){
				examScorePushService.scorePush(examScorePushQueue);
			}
		}
	}

	@Override
	public void saveExamScorePushQueue(String returnMsg,ExamScorePushQueue examScorePushQueue,ExamScoreQueueStatus examScoreQueueStatus) {
		examScorePushQueue.setStatus(examScoreQueueStatus);
		if(returnMsg != null && returnMsg.length()>500){
			returnMsg = returnMsg.substring(0,500);
		}
		if(examScoreQueueStatus == ExamScoreQueueStatus.PROCESS_SUCCESS){
			examScorePushQueue.setFailedTimes(0);
			examScorePushQueue.setErrorMsg(null);
			examScorePushQueue.setSuccessMsg(returnMsg);
		}else if(examScoreQueueStatus == ExamScoreQueueStatus.PROCESS_FAILED){
			int failedTimes = examScorePushQueue.getFailedTimes();
			examScorePushQueue.setFailedTimes(failedTimes+1);
			examScorePushQueue.setErrorMsg(returnMsg);
		}
		examScorePushQueue.setUpdateTime(new Date());
		examScorePushQueueRepo.save(examScorePushQueue);
	}
}
